uint8_t Out6x8Char(char charater, uint8_t  x, uint8_t y, uint8_t red,uint8_t green,uint8_t blue){
  switch (charater){
    case '0':
      LineH(x+1,y,4,red,green,blue);
	  LineH(x+2,y+1,2,red,green,blue);
      LineV(x,y+1,6,red,green,blue);
      LineV(x+1,y+1,6,red,green,blue);
      LineV(x+4,y+1,6,red,green,blue);
      LineV(x+5,y+1,6,red,green,blue);
	  LineH(x+2,y+6,2,red,green,blue);
      LineH(x+1,y+7,4,red,green,blue);
      return 6;
    break;
    case '1':
      LineV(x+1,y+1,1,red,green,blue);
      LineH(x,y+2,2,red,green,blue);
      LineV(x+2,y,8,red,green,blue);
      LineV(x+3,y,8,red,green,blue);
	  return 4;
    break;
    case '2':
      LineH(x+1,y,4,red,green,blue);
      LineH(x,y+1,6,red,green,blue);
      LineH(x+4,y+2,2,red,green,blue);
      LineH(x+3,y+3,2,red,green,blue);
      LineH(x+2,y+4,2,red,green,blue);
      LineH(x+1,y+5,2,red,green,blue);
      LineH(x,y+6,6,red,green,blue);
      LineH(x,y+7,6,red,green,blue);
	  return 6;
    break;
     case '3':
	  LineH(x+1,y,4,red,green,blue);
	  LineH(x,y+1,6,red,green,blue);
	  LineH(x+4,y+2,2,red,green,blue);
      LineH(x+2,y+3,3,red,green,blue);
      LineH(x+2,y+4,3,red,green,blue);
      LineH(x+4,y+5,2,red,green,blue);
      LineH(x,y+6,6,red,green,blue);
      LineH(x+1,y+7,4,red,green,blue);
	  return 6;
    break;
    case '4':
      LineV(x,y,4,red,green,blue);
	  LineV(x+1,y,5,red,green,blue);
      LineH(x+2,y+3,2,red,green,blue);
	  LineH(x+2,y+4,2,red,green,blue);
      LineV(x+4,y,8,red,green,blue);
	  LineV(x+5,y,8,red,green,blue);
	  return 6;
    break;
    case '5':
      LineH(x,y,6,red,green,blue);
      LineH(x,y+1,5,red,green,blue);
      LineH(x,y+2,2,red,green,blue);
      LineH(x,y+3,5,red,green,blue);
      LineH(x+1,y+4,5,red,green,blue);
      LineH(x+4,y+5,2,red,green,blue);
      LineH(x,y+6,6,red,green,blue);
      LineH(x+1,y+7,4,red,green,blue);
      return 6;
    break;
     case '6':
      LineH(x+1,y,4,red,green,blue);
      LineH(x,y+1,6,red,green,blue);
	  LineH(x,y+2,2,red,green,blue);
	  LineH(x,y+3,5,red,green,blue);
	  LineH(x,y+4,6,red,green,blue);
	  LineH(x,y+5,2,red,green,blue);
	  LineH(x+4,y+5,2,red,green,blue);
	  LineH(x,y+6,6,red,green,blue);
	  LineH(x+1,y+7,4,red,green,blue);
	  return 6;
    break;
    case '7':
      LineH(x,y,6,red,green,blue);
	  LineH(x,y+1,6,red,green,blue);
	  LineH(x+4,y+2,2,red,green,blue);
	  LineH(x+4,y+3,2,red,green,blue);
	  LineH(x+3,y+4,2,red,green,blue);
	  LineH(x+3,y+5,2,red,green,blue);
	  LineH(x+2,y+6,2,red,green,blue);
	  LineH(x+2,y+7,2,red,green,blue);
	  return 6;
    break;
     case '8':
      LineH(x+1,y,4,red,green,blue);
	  LineH(x,y+1,6,red,green,blue);
	  LineH(x,y+2,2,red,green,blue);
      LineH(x+4,y+2,2,red,green,blue);
	  LineH(x+1,y+3,4,red,green,blue);
	  LineH(x+1,y+4,4,red,green,blue);
	  LineH(x,y+5,2,red,green,blue);
      LineH(x+4,y+5,2,red,green,blue);
	  LineH(x,y+6,6,red,green,blue);
	  LineH(x+1,y+7,4,red,green,blue);
	  return 6;
    break;
     case '9':
      LineH(x+1,y,4,red,green,blue);
	  LineH(x,y+1,6,red,green,blue);
	  LineH(x,y+2,2,red,green,blue);
      LineH(x+4,y+2,2,red,green,blue);
	  LineH(x,y+3,6,red,green,blue);
	  LineH(x+1,y+4,5,red,green,blue);
      LineH(x+4,y+5,2,red,green,blue);
	  LineH(x,y+6,6,red,green,blue);
	  LineH(x+1,y+7,4,red,green,blue);
	  return 6;
    break;
    case '.':
	  LineH(x,y+6,2,red,green,blue);
      LineH(x,y+7,2,red,green,blue);
	  return 2;
    break;
    case ':':
	  LineH(x,y+2,2,red,green,blue);
      LineH(x,y+3,2,red,green,blue);
	  LineH(x,y+5,2,red,green,blue);
      LineH(x,y+6,2,red,green,blue);
	  return 2;
    break;
	case '>':
	  LineH(x,y+3,5,red,green,blue);
      LineH(x,y+4,5,red,green,blue);
	  LineH(x+2,y+1,1,red,green,blue);
      LineH(x+2,y+6,1,red,green,blue);
	  LineH(x+3,y+2,1,red,green,blue);
      LineH(x+3,y+5,1,red,green,blue);
	  
	  return 5;
    break;
	case '-':
	  LineH(x,y+3,3,red,green,blue);
      LineH(x,y+4,3,red,green,blue);
	  return 3;
    break;
    case ' ':
      LineV(x,y,8,0,0,0);
	  return 1;
    break;
  }
  return 0;
}